GetEmailReceipt
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetEmailReceipt \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"emailReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetEmailReceipt"
payload = { "emailReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({emailReceiptId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetEmailReceipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"bucketName": "<string>",
"objectKey": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"emailFrom": "<string>",
"emailDestination": [
"<string>"
],
"emailSubject": "<string>",
"emailText": "<string>",
"emailRich": "<string>",
"emailHtml": "<string>",
"lineSummary": "<string>",
"documentSetId": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
GetEmailReceipt
Get deep information of a single email receipt
POST
/
rpc
/
rpc.v1.OrganizationService
/
GetEmailReceipt
GetEmailReceipt
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
request for getting an email receipt
id of the email receipt
Response
Success
response from getting the email receipt
id of the job posting
name of the bucket that stores the email
key of the object in the bucket that stores the email
time at which the receipt was created
Example:
"2023-01-15T01:30:15.01Z"
email from is the address the email came from.
the destination addresses of this email.
subject header of the email.
plain body
rich body
html body
single-line summary for the email receipt.
id of the document set (if any)